COMP(1)

NAME
comp - Curses Omni Media Player

SYNOPSIS
comp [-h] [-v] [-e {json,mpv,youtube-dl}] [-c CONFIG] [--vid VID] [--vo DRIVER] [-f YTDL_FORMAT] playlist

DESCRIPTION
comp is a mpv(1) front-end using curses. It has basic media player functions and can to extract playlists from multiple sources such as media sites supported by youtube-dl(1), local and direct URL to video/audio and its own JSON playlist format.

OPTIONS

  Positional arguments

playlist
    path or URL to the playlist

  Optional arguments

-h, --help
    show this help message and exit

-v, --version
    show program's version number and exit

-e {json,mpv,youtube-dl}, --extractor {json,mpv,youtube-dl}
    playlist extractor, default is youtube-dl

-c CONFIG, --config CONFIG
    path to the configuration file

--vid VID
    initial video channel. auto selects the default, no disables video

--vo DRIVER
    specify the video output backend to be used. See VIDEO OUTPUT DRIVERS in mpv(1) for details and descriptions of available drivers

-f YTDL_FORMAT, --format YTDL_FORMAT
    video format/quality to be passed to youtube-dl

KEYBOARD CONTROL

Return
    Start playing.

Space, p
    Toggle pause.

/, ?
    Search forward/backward for a pattern.

<, >
    Go backward/forward in the playlist.

A   Toggle mute.

D   Delete the current entry.

N   Repeat previous search in reverse direction.

V   Toggle video.

W   Save the current playlist under JSON format.

d   Deselect/reselect the current entry.

i   Insert playlist.

m, M
    Cycle forward/backward through playing modes.

n   Repeat previous search.

o   Open playlist.

Up, k
    Move a single line up.

Down, j
    Move a single line down.

Left, h
    Seek backward 5 seconds.

Right, l
    Seek forward 5 seconds.

Home
    Move to the beginning of the playlist.

End Move to the end of the playlist.

Page Up
    Move a single page up.

Page Down
    Move a single page down.

F5  Redraw the screen content.

FILES

~/.config/comp/settings.ini
    per user configuration file

EXAMPLES
Open a JSON playlist:
	comp -e json test/playlist.json
Open a Youtube playlist with video height lower than 720:
	comp -f '[height<720]' https://www.youtube.com/watch?list=PLnk14Iku8QM7R3ARnrj1TwYSZleF-i7jT

BUGS

Media durations are not extracted from online playlists as youtube-dl extract_flat option is used. This is rather a feature to save up bandwidth than a bug because a track's duration is updated when it's played.

AUTHOR
Written by Nguyễn Gia Phong.

SEE ALSO
mpv(1), youtube-dl(1)